package xserver-common (not installed) failed to install/upgrade: trying to overwrite '/usr/share/man/man1/Xserver.1.gz', which is also in package perl 5.22.1-9ubuntu0.2

Bug #1734179 reported by d on 2017-11-23
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xorg-server (Ubuntu)
Undecided
Unassigned

Bug Description

yes

ProblemType: Package
DistroRelease: Ubuntu 16.04
Package: xserver-common (not installed)
ProcVersionSignature: Ubuntu 4.10.0-40.44~16.04.1-generic 4.10.17
Uname: Linux 4.10.0-40-generic x86_64
NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia
.proc.driver.nvidia.gpus.0000.01.00.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0000:01:00.0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module 384.90 Tue Sep 19 19:17:35 PDT 2017
 GCC version: gcc version 5.4.0 20160609 (Ubuntu 5.4.0-6ubuntu1~16.04.5)
.tmp.unity_support_test.0:

ApportVersion: 2.20.1-0ubuntu2.13
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
Date: Thu Nov 23 19:32:12 2017
DistUpgraded: Fresh install
DistroCodename: xenial
DistroVariant: ubuntu
DkmsStatus:
 bbswitch, 0.8, 4.10.0-28-generic, x86_64: installed
 bbswitch, 0.8, 4.10.0-40-generic, x86_64: installed
 nvidia-384, 384.90, 4.10.0-28-generic, x86_64: installed
 nvidia-384, 384.90, 4.10.0-40-generic, x86_64: installed
 nvidia-384, 384.90, 4.4.0-101-generic, x86_64: installed
DpkgTerminalLog:
 Preparing to unpack .../xserver-common_2%3a1.18.4-0ubuntu0.7_all.deb ...
 Unpacking xserver-common (2:1.18.4-0ubuntu0.7) ...
 dpkg: error processing archive /var/cache/apt/archives/xserver-common_2%3a1.18.4-0ubuntu0.7_all.deb (--unpack):
  trying to overwrite '/usr/share/man/man1/Xserver.1.gz', which is also in package perl 5.22.1-9ubuntu0.2
DuplicateSignature:
 package:xserver-common:(not installed)
 Unpacking xserver-common (2:1.18.4-0ubuntu0.7) ...
 dpkg: error processing archive /var/cache/apt/archives/xserver-common_2%3a1.18.4-0ubuntu0.7_all.deb (--unpack):
  trying to overwrite '/usr/share/man/man1/Xserver.1.gz', which is also in package perl 5.22.1-9ubuntu0.2
ErrorMessage: trying to overwrite '/usr/share/man/man1/Xserver.1.gz', which is also in package perl 5.22.1-9ubuntu0.2
ExtraDebuggingInterest: I just need to know a workaround
GraphicsCard:
 Intel Corporation Skylake Integrated Graphics [8086:191b] (rev 06) (prog-if 00 [VGA controller])
   Subsystem: Micro-Star International Co., Ltd. [MSI] Skylake Integrated Graphics [1462:1164]
   Subsystem: Micro-Star International Co., Ltd. [MSI] GM204M [GeForce GTX 970M] [1462:1164]
InstallationDate: Installed on 2017-11-23 (0 days ago)
InstallationMedia: Ubuntu 16.04.3 LTS "Xenial Xerus" - Release amd64 (20170801)
MachineType: Micro-Star International Co., Ltd. GS70 6QE
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.10.0-40-generic.efi.signed root=UUID=1ff69816-18f5-4627-9450-1435477bfc2d ro quiet splash vt.handoff=7
RelatedPackageVersions:
 dpkg 1.18.4ubuntu1.2
 apt 1.2.24
SourcePackage: xorg-server
Title: package xserver-common (not installed) failed to install/upgrade: trying to overwrite '/usr/share/man/man1/Xserver.1.gz', which is also in package perl 5.22.1-9ubuntu0.2
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 10/13/2015
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: E1775IMS.10C
dmi.board.asset.tag: Default string
dmi.board.name: MS-1775
dmi.board.vendor: Micro-Star International Co., Ltd.
dmi.board.version: REV:1.0
dmi.chassis.asset.tag: Default string
dmi.chassis.type: 10
dmi.chassis.vendor: Micro-Star International Co., Ltd.
dmi.chassis.version: Default string
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrE1775IMS.10C:bd10/13/2015:svnMicro-StarInternationalCo.,Ltd.:pnGS706QE:pvrREV1.0:rvnMicro-StarInternationalCo.,Ltd.:rnMS-1775:rvrREV1.0:cvnMicro-StarInternationalCo.,Ltd.:ct10:cvrDefaultstring:
dmi.product.name: GS70 6QE
dmi.product.version: REV:1.0
dmi.sys.vendor: Micro-Star International Co., Ltd.
version.compiz: compiz 1:0.9.12.2+16.04.20160823-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.76-1~ubuntu16.04.1
version.libgl1-mesa-dri: libgl1-mesa-dri 17.0.7-0ubuntu0.16.04.2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 17.0.7-0ubuntu0.16.04.2
version.nvidia-graphics-drivers: nvidia-graphics-drivers-* N/A
version.xserver-xorg-core: xserver-xorg-core N/A
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A
xserver.bootTime: Thu Nov 23 19:19:33 2017
xserver.configfile: /etc/X11/xorg.conf
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.version: 2:1.19.3-1ubuntu1~16.04.4

d (dvaneede) wrote :
tags: removed: need-duplicate-check
To post a comment you must log in.